> ## Documentation Index
> Fetch the complete documentation index at: https://developers.smsmanager.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get inbox messages



## OpenAPI

````yaml /openapi/en/rest/restapi_v1.yaml get /inbox
openapi: 3.1.0
info:
  title: REST API SmsManager
  description: |
    API for managing accounts and other resources of SmsManager.
  version: v1
  contact:
    url: https://smsmanager.com
    email: cc@smsmanager.com
servers:
  - url: https://rest-api.smsmngr.com/v1
    description: Production server
security:
  - x-api-key: []
tags:
  - name: api
    x-displayName: API keys
    description: |
      For managing API keys use the following endpoints.
  - name: status
    x-displayName: Status
    description: |
      For reading status of sent messages use the following endpoints.
  - name: inbox
    x-displayName: Inbox
    description: |
      For reading inbox messages use the following endpoints.
  - name: credit
    x-displayName: Credit
    description: |
      For reading credit balance or pricelist info use the following endpoints.
paths:
  /inbox:
    get:
      tags:
        - inbox
      summary: Get inbox messages
      parameters:
        - name: date
          in: query
          required: true
          description: Date in format YYYY-MM-DD
          schema:
            type: string
            format: date
            example: '2025-01-01'
      responses:
        '200':
          description: Inbox messages
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  messages:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          description: Message ID.
                        from:
                          type: string
                          description: Sender.
                        to:
                          type: string
                          description: Recipient.
                        body:
                          type: string
                          description: Message body.
                        ts_received:
                          type: integer
                          description: Timestamp of the message creation.
components:
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key

````